
Redmine - Defect #8746

RCOV configuration for redmine plugin and not showing rcov coverage of redmine_plugin patch files

2011-07-05 11:31 - surajit dey

Status: New Start date: 2011-07-05

Priority: Normal Due date: 2011-07-06

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

We're developing a plugin in which we use patch files for issue.rb, issues_controller.rb, user.rb, etc.. We've configured rcov in

redmine plugin's lib/task/rcov.rake file. When we run rake rcov:all it doesn't show the patch or hook file's new method's coverage. 

How to solve this issue plz let me know ASAP.

 
I've attached my rake file, see attached file.

History

#1 - 2011-07-13 19:07 - Etienne Massip

- Category set to Code cleanup/refactoring

#2 - 2011-08-31 08:26 - Jean-Baptiste Barth

- Priority changed from Urgent to Normal

It's not "urgent" at all, since nothing visible to a user is broken. If you are developing a plugin, I assume you have some ruby skills, have you tried to

find out why it doesn't work ? Does your rake file fixes this, or is it just an illustration for the problem ?

Files

rcov_rake.txt 2.51 KB 2011-07-05 surajit dey
